RNANO(1)

NAME
rnano - a restricted nano

SYNOPSIS
rnano [options] [[+line[,column]] file]...

DESCRIPTION
rnano runs the nano editor in restricted mode. This allows editing only the file (or files) specified on the command line.

In restricted mode, nano will:

    •   not make backups;

    •   not read nor write the history files;

    •   not allow suspending;

    •   not allow spell checking;

    •   not allow running any command in the shell;

    •   not allow saving the current buffer under a different name;

    •   not allow inserting another file or opening a new buffer;

    •   not allow appending or prepending to any file.

As an exception, before the specified file or files, the nanorc files are read, to allow customization. If customization should not be allowed, use option -I (--ignorercfiles) as well.

When no file is specified on the command line, the user may save the contents that they type into the new buffer under any name, except that existing files may not be overwritten. If the places where this new file may be created should be limited, then additionally use the option -o (--operatingdir).

OPTIONS

-h, --help
    Show the available command-line options and exit.

For all existing options, see the nano(1) man page.

BUGS
Please report bugs via https://savannah.gnu.org/bugs/?group=nano.

HOMEPAGE
https://nano-editor.org/

SEE ALSO
nano(1)